diff -ur embedded.orig/cookbooks/gitlab/templates/default/gitlab.yml.erb embedded/cookbooks/gitlab/templates/default/gitlab.yml.erb
--- embedded.orig/cookbooks/gitlab/templates/default/gitlab.yml.erb	2014-10-01 20:43:19.000000000 +0900
+++ embedded/cookbooks/gitlab/templates/default/gitlab.yml.erb	2014-10-14 10:03:20.598903777 +0900
@@ -18,6 +18,7 @@
     # (you'd obviously need to replace ssh.host_example.com with your own host).
     # Otherwise, ssh host will be set to the `host:` value above
     ssh_host: <%= @gitlab_ssh_host %>
+    url: <%= @gitlab_repo_url %>
 
     # WARNING: See config/application.rb under "Relative url support" for the list of
     # other files that need to be changed for relative url support
diff -ur embedded.orig/service/gitlab-rails/app/mailers/notify.rb embedded/service/gitlab-rails/app/mailers/notify.rb
--- embedded.orig/service/gitlab-rails/app/mailers/notify.rb	2014-10-01 20:44:33.000000000 +0900
+++ embedded/service/gitlab-rails/app/mailers/notify.rb	2014-10-14 10:02:31.040904943 +0900
@@ -12,9 +12,13 @@
   add_template_helper GitlabMarkdownHelper
   add_template_helper MergeRequestsHelper
 
-  default_url_options[:host]     = Gitlab.config.gitlab.host
-  default_url_options[:protocol] = Gitlab.config.gitlab.protocol
-  default_url_options[:port]     = Gitlab.config.gitlab.port unless Gitlab.config.gitlab_on_standard_port?
+  uri = URI(Gitlab.config.gitlab.url)
+  default_url_options[:host]     = uri.host
+  default_url_options[:protocol] = uri.scheme
+  default_url_options[:port]     = uri.port unless Gitlab.config.gitlab_on_standard_port?
+#  default_url_options[:host]     = Gitlab.config.gitlab.host
+#  default_url_options[:protocol] = Gitlab.config.gitlab.protocol
+#  default_url_options[:port]     = Gitlab.config.gitlab.port unless Gitlab.config.gitlab_on_standard_port?
   default_url_options[:script_name] = Gitlab.config.gitlab.relative_url_root
 
   default from: Proc.new { default_sender_address.format }
